import axios from "axios"
import errorMsg from "./errorMsg"
import store from '@/store'
//创建axios的实例
const httpService = axios.create({
    baseURL: process.env.VUE_APP_URL,// TODO:具体的配置可以根据项目情况而来
    timeout: 5000
})
httpService.interceptors.request.use(config => {
    // config.headers['ansuex-manage-token'] = store.getters.getToken;
    // config.headers['device-type'] = "web";
	return config
}, err => {
	return Promise.reject(err)
})

httpService.interceptors.response.use(response => {
    let msg = '';
    let data = null;
    let res = response.data;
    if(res.code === 200){
        data = res.data;
        msg = res.msg || "";
        return {data, msg};
    } else {
        msg = res.msg || "";
        return Promise.reject(new Error(msg))
    }
}, err => {
    console.log(err)
		if(err && err.response){
            errorMsg(err.response.status);
		}else{
			console.log('连接到服务器失败')
		}
})

export default httpService





